package com.ssj.service.kmt.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

import io.swagger.annotations.ApiModelProperty;

public class KnowledgeRequest extends BaseRequest {

    private static final long serialVersionUID = 5708203490137525830L;

    @ApiModelProperty(name = "grade", value = "年级， 如：'一年级'", required = true)
    private String grade;

    @ApiModelProperty(name = "subject", value = "科目", required = true)
    private String subject;

    @ApiModelProperty(name = "versionType", value = "版本列表标识，在查询筛选条件接口返回", required = true)
    private Integer versionType;

    @ApiModelProperty(name = "semester", value = "上下册， 1上2下", required = true)
     private Integer semester;

    @ApiModelProperty(name = "moduleType", value = "同步专题字段，默认1同步")
     private Integer moduleType;

    @ApiModelProperty(name = "searchKey", value = "搜索关键词")
     private String searchKey;

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public Integer getVersionType() {
        return versionType;
    }

    public void setVersionType(Integer versionType) {
        this.versionType = versionType;
    }

    public Integer getSemester() {
        return semester;
    }

    public void setSemester(Integer semester) {
        this.semester = semester;
    }

    public Integer getModuleType() {
        return moduleType;
    }

    public void setModuleType(Integer moduleType) {
        this.moduleType = moduleType;
    }

    public String getSearchKey() {
        return searchKey;
    }

    public void setSearchKey(String searchKey) {
        this.searchKey = searchKey;
    }
}
